Imports CrystalDecisions.CrystalReports.Engine
Imports System.IO
Public Class ReportViewer
    Public appPath As String = ""
    ' The Crystal Reports in this project were converted from Access reports by Microtools's AccessToCR converter.
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        appPath = System.IO.Path.GetDirectoryName(Application.ExecutablePath).Replace("\bin", "").Replace("\Debug", "")
        Dim di As New IO.DirectoryInfo(appPath & "\Reports")
        Dim aryFi As IO.FileInfo() = di.GetFiles("*.rpt")
        Dim fi As IO.FileInfo
        ReportList.Items.Clear()
        For Each fi In aryFi
            ReportList.Items.Add(fi.Name.Replace(".rpt", ""))
        Next
        ReportList.Text = "Here goes Sample Converted Reports:"
    End Sub
    Private Sub ReportList_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ReportList.SelectedIndexChanged
        Dim cryRpt As ReportDocument = New ReportDocument()
        Dim reportname As String
        reportname = ReportList.SelectedItem.ToString()
        If (reportname = "") Then Exit Sub
        cryRpt.Load(appPath & "\Reports\" & reportname & ".rpt")
        Me.CrystalReportViewer1.ReportSource = cryRpt
        Me.CrystalReportViewer1.RefreshReport()
    End Sub
End Class
